Bug 506553 - sesame - memory bloat over time
sesame - memory bloat over time
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
high Severity urgent
: 1.3
: ---
Assigned To: Nuno Santos
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 14:08 EDT by Matthew Farrellee
Modified: 2013-09-12 18:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Occasionally, running sesame for longer periods of time lead to a major growth in memory usage by sesame. With this update, this behavior no longer occurs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2009-06-17 14:08:36 EDT
sesame-0.4.3153-1.el5

After running for some time sesame seems to grow to in memory...

4007 sesame    15   0  428m 227m 3332 S  0.0  1.4   0:54.66 sesame 

Seems strange for such a simple service.
Comment 2 Matthew Farrellee 2010-01-18 07:59:58 EST
Apparently it can get VERY big!

4390 sesame    18   0 18.5g  10g 2652 S  1.7 86.4  11:05.21 sesame

[root@mrg31 ~]# pmap $(pidof sesame)
4390:   sesame
0000000000400000     72K r-x--  /usr/bin/sesame
0000000000612000     60K rw---  /usr/bin/sesame
0000000007a2b000  75356K rw---    [ anon ]
0000000040b98000      4K -----    [ anon ]
0000000040b99000  10240K rw---    [ anon ]
00000000416e0000      4K -----    [ anon ]
00000000416e1000  10240K rw---    [ anon ]
00000000420e1000      4K -----    [ anon ]
00000000420e2000  10240K rw---    [ anon ]
0000000042ae2000      4K -----    [ anon ]
0000000042ae3000  10240K rw---    [ anon ]
00000038aec00000    112K r-x--  /lib64/ld-2.5.so
00000038aee1b000      4K r----  /lib64/ld-2.5.so
00000038aee1c000      4K rw---  /lib64/ld-2.5.so
00000038af000000   1332K r-x--  /lib64/libc-2.5.so
00000038af14d000   2048K -----  /lib64/libc-2.5.so
00000038af34d000     16K r----  /lib64/libc-2.5.so
00000038af351000      4K rw---  /lib64/libc-2.5.so
00000038af352000     20K rw---    [ anon ]
00000038af400000    520K r-x--  /lib64/libm-2.5.so
00000038af482000   2044K -----  /lib64/libm-2.5.so
00000038af681000      4K r----  /lib64/libm-2.5.so
00000038af682000      4K rw---  /lib64/libm-2.5.so
00000038af800000      8K r-x--  /lib64/libdl-2.5.so
00000038af802000   2048K -----  /lib64/libdl-2.5.so
00000038afa02000      4K r----  /lib64/libdl-2.5.so
00000038afa03000      4K rw---  /lib64/libdl-2.5.so
00000038afc00000     88K r-x--  /lib64/libpthread-2.5.so
00000038afc16000   2044K -----  /lib64/libpthread-2.5.so
00000038afe15000      4K r----  /lib64/libpthread-2.5.so
00000038afe16000      4K rw---  /lib64/libpthread-2.5.so
00000038afe17000     16K rw---    [ anon ]
00000038b0000000     64K r-x--  /usr/lib64/libboost_filesystem.so.1.33.1
00000038b0010000   2044K -----  /usr/lib64/libboost_filesystem.so.1.33.1
00000038b020f000      4K rw---  /usr/lib64/libboost_filesystem.so.1.33.1
00000038b0400000     28K r-x--  /lib64/librt-2.5.so
00000038b0407000   2048K -----  /lib64/librt-2.5.so
00000038b0607000      4K r----  /lib64/librt-2.5.so
00000038b0608000      4K rw---  /lib64/librt-2.5.so
00000038b0800000    216K r-x--  /usr/lib64/libboost_program_options.so.1.33.1
00000038b0836000   2044K -----  /usr/lib64/libboost_program_options.so.1.33.1
00000038b0a35000      8K rw---  /usr/lib64/libboost_program_options.so.1.33.1
00000038b0c00000   2208K r-x--  /usr/lib64/libqpidcommon.so.0.1.0
00000038b0e28000   2044K -----  /usr/lib64/libqpidcommon.so.0.1.0
00000038b1027000    112K rw---  /usr/lib64/libqpidcommon.so.0.1.0
00000038b1200000    136K r-x--  /usr/lib64/libqmfagent.so.0.1.0
00000038b1222000   2048K -----  /usr/lib64/libqmfagent.so.0.1.0
00000038b1422000      8K rw---  /usr/lib64/libqmfagent.so.0.1.0
00000038b1600000    816K r-x--  /usr/lib64/libqpidclient.so.0.1.0
00000038b16cc000   2048K -----  /usr/lib64/libqpidclient.so.0.1.0
00000038b18cc000     24K rw---  /usr/lib64/libqpidclient.so.0.1.0
00000038b18d2000      8K rw---    [ anon ]
00000038b3400000   1204K r-x--  /lib64/libcrypto.so.0.9.8e
00000038b352d000   2044K -----  /lib64/libcrypto.so.0.9.8e
00000038b372c000    132K rw---  /lib64/libcrypto.so.0.9.8e
00000038b374d000     16K rw---    [ anon ]
00000038b4000000     68K r-x--  /lib64/libresolv-2.5.so
00000038b4011000   2048K -----  /lib64/libresolv-2.5.so
00000038b4211000      4K r----  /lib64/libresolv-2.5.so
00000038b4212000      4K rw---  /lib64/libresolv-2.5.so
00000038b4213000      8K rw---    [ anon ]
00000038be200000     52K r-x--  /lib64/libgcc_s-4.1.2-20080825.so.1
00000038be20d000   2048K -----  /lib64/libgcc_s-4.1.2-20080825.so.1
00000038be40d000      4K rw---  /lib64/libgcc_s-4.1.2-20080825.so.1
00000038c1200000     36K r-x--  /lib64/libcrypt-2.5.so
00000038c1209000   2044K -----  /lib64/libcrypt-2.5.so
00000038c1408000      4K r----  /lib64/libcrypt-2.5.so
00000038c1409000      4K rw---  /lib64/libcrypt-2.5.so
00000038c140a000    184K rw---    [ anon ]
00000038c1a00000    920K r-x--  /usr/lib64/libstdc++.so.6.0.8
00000038c1ae6000   2044K -----  /usr/lib64/libstdc++.so.6.0.8
00000038c1ce5000     24K r----  /usr/lib64/libstdc++.so.6.0.8
00000038c1ceb000     12K rw---  /usr/lib64/libstdc++.so.6.0.8
00000038c1cee000     72K rw---    [ anon ]
00000038c3a00000     12K r-x--  /lib64/libuuid.so.1.2
00000038c3a03000   2048K -----  /lib64/libuuid.so.1.2
00000038c3c03000      4K rw---  /lib64/libuuid.so.1.2
00000038c4e00000     96K r-x--  /usr/lib64/libsasl2.so.2.0.22
00000038c4e18000   2048K -----  /usr/lib64/libsasl2.so.2.0.22
00000038c5018000      4K rw---  /usr/lib64/libsasl2.so.2.0.22
00002aaaaaabf000     40K r-x--  /lib64/libnss_files-2.5.so
00002aaaaaac9000   2044K -----  /lib64/libnss_files-2.5.so
00002aaaaacc8000      4K r----  /lib64/libnss_files-2.5.so
00002aaaaacc9000      4K rw---  /lib64/libnss_files-2.5.so
00002aaaaacdc000     16K r-x--  /lib64/libnss_dns-2.5.so
00002aaaaace0000   2044K -----  /lib64/libnss_dns-2.5.so
00002aaaaaedf000      4K r----  /lib64/libnss_dns-2.5.so
00002aaaaaee0000      4K rw---  /lib64/libnss_dns-2.5.so
00002aaaaaee1000     16K r-x--  /usr/lib64/sasl2/libcrammd5.so.2.0.22
00002aaaaaee5000   2048K -----  /usr/lib64/sasl2/libcrammd5.so.2.0.22
00002aaaab0e5000      4K rw---  /usr/lib64/sasl2/libcrammd5.so.2.0.22
00002aaaab0e6000     16K r-x--  /usr/lib64/sasl2/liblogin.so.2.0.22
00002aaaab0ea000   2044K -----  /usr/lib64/sasl2/liblogin.so.2.0.22
00002aaaab2e9000      4K rw---  /usr/lib64/sasl2/liblogin.so.2.0.22
00002aaaab2ea000     44K r-x--  /usr/lib64/sasl2/libdigestmd5.so.2.0.22
00002aaaab2f5000   2048K -----  /usr/lib64/sasl2/libdigestmd5.so.2.0.22
00002aaaab4f5000      4K rw---  /usr/lib64/sasl2/libdigestmd5.so.2.0.22
00002aaaab508000     80K r-x--  /usr/lib64/libz.so.1.2.3
00002aaaab51c000   2044K -----  /usr/lib64/libz.so.1.2.3
00002aaaab71b000      4K rw---  /usr/lib64/libz.so.1.2.3
00002aaaab71c000     16K r-x--  /usr/lib64/sasl2/libplain.so.2.0.22
00002aaaab720000   2044K -----  /usr/lib64/sasl2/libplain.so.2.0.22
00002aaaab91f000      4K rw---  /usr/lib64/sasl2/libplain.so.2.0.22
00002aaaab920000     16K r-x--  /usr/lib64/sasl2/libanonymous.so.2.0.22
00002aaaab924000   2044K -----  /usr/lib64/sasl2/libanonymous.so.2.0.22
00002aaaabb23000      4K rw---  /usr/lib64/sasl2/libanonymous.so.2.0.22
00002aaaabb24000    860K r-x--  /usr/lib64/sasl2/libsasldb.so.2.0.22
00002aaaabbfb000   2044K -----  /usr/lib64/sasl2/libsasldb.so.2.0.22
00002aaaabdfa000     16K rw---  /usr/lib64/sasl2/libsasldb.so.2.0.22
00002aaaabdfe000   2056K rw---    [ anon ]
00002aaaac000000  65480K rw---    [ anon ]
00002aaaafff2000     56K -----    [ anon ]
00002aaab0000000  64764K rw---    [ anon ]
00002aaab4000000  65516K rw---    [ anon ]
00002aaab7ffb000     20K -----    [ anon ]
00002aaab8000000  64764K rw---    [ anon ]
00002aaabc000000  65468K rw---    [ anon ]
00002aaabffef000     68K -----    [ anon ]
00002aaac0000000  66820K rw---    [ anon ]
00002aaac4182000  63736K rw---    [ anon ]
00002aaac8000000  65512K rw---    [ anon ]
00002aaacbffa000     24K -----    [ anon ]
00002aaacc000000  65532K rw---    [ anon ]
00002aaacffff000      4K -----    [ anon ]
00002aaad0000000 130556K rw---    [ anon ]
00002aaad8000000  65452K rw---    [ anon ]
00002aaadbfeb000     84K -----    [ anon ]
00002aaadc000000  65532K rw---    [ anon ]
00002aaadffff000      4K -----    [ anon ]
00002aaae0000000 196348K rw---    [ anon ]
00002aaaec000000 130300K rw---    [ anon ]
00002aaaf4000000  65452K rw---    [ anon ]
00002aaaf7feb000     84K -----    [ anon ]
00002aaaf8000000 196348K rw---    [ anon ]
00002aab04000000  65480K rw---    [ anon ]
00002aab07ff2000     56K -----    [ anon ]
00002aab08000000  10280K rw---    [ anon ]
00002aab08a95000 119248K rw---    [ anon ]
00002aab10000000  65448K rw---    [ anon ]
00002aab13fea000     88K -----    [ anon ]
00002aab14000000  64764K rw---    [ anon ]
00002aab18000000  65416K rw---    [ anon ]
00002aab1bfe2000    120K -----    [ anon ]
00002aab1c000000  65420K rw---    [ anon ]
00002aab1ffe3000    116K -----    [ anon ]
00002aab20000000  64764K rw---    [ anon ]
00002aab24000000  65288K rw---    [ anon ]
00002aab27fc2000    248K -----    [ anon ]
00002aab28000000  65372K rw---    [ anon ]
00002aab2bfd7000    164K -----    [ anon ]
00002aab2c000000  64764K rw---    [ anon ]
00002aab30000000  65416K rw---    [ anon ]
00002aab33fe2000    120K -----    [ anon ]
00002aab34000000  64764K rw---    [ anon ]
00002aab38000000  65324K rw---    [ anon ]
00002aab3bfcb000    212K -----    [ anon ]
00002aab3c000000  65480K rw---    [ anon ]
00002aab3fff2000     56K -----    [ anon ]
00002aab40000000  64764K rw---    [ anon ]
00002aab44000000  65416K rw---    [ anon ]
00002aab47fe2000    120K -----    [ anon ]
00002aab48000000  65352K rw---    [ anon ]
00002aab4bfd2000    184K -----    [ anon ]
00002aab4c000000  64764K rw---    [ anon ]
00002aab50000000  65352K rw---    [ anon ]
00002aab53fd2000    184K -----    [ anon ]
00002aab54000000  64764K rw---    [ anon ]
00002aab58000000  65480K rw---    [ anon ]
00002aab5bff2000     56K -----    [ anon ]
00002aab5c000000  64764K rw---    [ anon ]
00002aab60000000  65288K rw---    [ anon ]
00002aab63fc2000    248K -----    [ anon ]
00002aab64000000 130556K rw---    [ anon ]
00002aab6c000000  65288K rw---    [ anon ]
00002aab6ffc2000    248K -----    [ anon ]
00002aab70000000  64764K rw---    [ anon ]
00002aab74000000  65288K rw---    [ anon ]
00002aab77fc2000    248K -----    [ anon ]
00002aab78000000  64764K rw---    [ anon ]
00002aab7c000000  65416K rw---    [ anon ]
00002aab7ffe2000    120K -----    [ anon ]
00002aab80000000 196348K rw---    [ anon ]
00002aab8c000000  65288K rw---    [ anon ]
00002aab8ffc2000    248K -----    [ anon ]
00002aab90000000 196348K rw---    [ anon ]
00002aab9c000000  65288K rw---    [ anon ]
00002aab9ffc2000    248K -----    [ anon ]
00002aaba0000000 130556K rw---    [ anon ]
00002aaba8000000  65416K rw---    [ anon ]
00002aababfe2000    120K -----    [ anon ]
00002aabac000000  64764K rw---    [ anon ]
00002aabb0000000  65416K rw---    [ anon ]
00002aabb3fe2000    120K -----    [ anon ]
00002aabb4000000 130556K rw---    [ anon ]
00002aabbc000000  65416K rw---    [ anon ]
00002aabbffe2000    120K -----    [ anon ]
00002aabc0000000 196348K rw---    [ anon ]
00002aabcc000000  65452K rw---    [ anon ]
00002aabcffeb000     84K -----    [ anon ]
00002aabd0000000  64764K rw---    [ anon ]
00002aabd4000000  65384K rw---    [ anon ]
00002aabd7fda000    152K -----    [ anon ]
00002aabd8000000 326904K rw---    [ anon ]
00002aabec000000  65284K rw---    [ anon ]
00002aabeffc1000    252K -----    [ anon ]
00002aabf0000000 380360K rw---    [ anon ]
00002aac073e2000  12336K rw---    [ anon ]
00002aac08000000  65284K rw---    [ anon ]
00002aac0bfc1000    252K -----    [ anon ]
00002aac0c000000  65028K rw---    [ anon ]
00002aac0ff81000    508K -----    [ anon ]
00002aac10000000 130556K rw---    [ anon ]
00002aac18000000  65284K rw---    [ anon ]
00002aac1bfc1000    252K -----    [ anon ]
00002aac1c000000  64764K rw---    [ anon ]
00002aac20000000  65412K rw---    [ anon ]
00002aac23fe1000    124K -----    [ anon ]
00002aac24000000  65412K rw---    [ anon ]
00002aac27fe1000    124K -----    [ anon ]
00002aac28000000  64764K rw---    [ anon ]
00002aac2c000000  65348K rw---    [ anon ]
00002aac2ffd1000    188K -----    [ anon ]
00002aac30000000  65412K rw---    [ anon ]
00002aac33fe1000    124K -----    [ anon ]
00002aac34000000  64764K rw---    [ anon ]
00002aac38000000  65412K rw---    [ anon ]
00002aac3bfe1000    124K -----    [ anon ]
00002aac3c000000 130556K rw---    [ anon ]
00002aac44000000  65284K rw---    [ anon ]
00002aac47fc1000    252K -----    [ anon ]
00002aac48000000  65284K rw---    [ anon ]
00002aac4bfc1000    252K -----    [ anon ]
00002aac4c000000  64764K rw---    [ anon ]
00002aac50000000  65284K rw---    [ anon ]
00002aac53fc1000    252K -----    [ anon ]
00002aac54000000  64764K rw---    [ anon ]
00002aac58000000  65028K rw---    [ anon ]
00002aac5bf81000    508K -----    [ anon ]
00002aac5c000000  65284K rw---    [ anon ]
00002aac5ffc1000    252K -----    [ anon ]
00002aac60000000  64764K rw---    [ anon ]
00002aac64000000  65284K rw---    [ anon ]
00002aac67fc1000    252K -----    [ anon ]
00002aac68000000  64764K rw---    [ anon ]
00002aac6c000000  65156K rw---    [ anon ]
00002aac6ffa1000    380K -----    [ anon ]
00002aac70000000 130556K rw---    [ anon ]
00002aac78000000  65284K rw---    [ anon ]
00002aac7bfc1000    252K -----    [ anon ]
00002aac7c000000  64764K rw---    [ anon ]
00002aac80000000  65284K rw---    [ anon ]
00002aac83fc1000    252K -----    [ anon ]
00002aac84000000  65284K rw---    [ anon ]
00002aac87fc1000    252K -----    [ anon ]
00002aac88000000  64764K rw---    [ anon ]
00002aac8c000000  65412K rw---    [ anon ]
00002aac8ffe1000    124K -----    [ anon ]
00002aac90000000  64764K rw---    [ anon ]
00002aac94000000  65252K rw---    [ anon ]
00002aac97fb9000    284K -----    [ anon ]
00002aac98000000  65220K rw---    [ anon ]
00002aac9bfb1000    316K -----    [ anon ]
00002aac9c000000  64764K rw---    [ anon ]
00002aaca0000000  65284K rw---    [ anon ]
00002aaca3fc1000    252K -----    [ anon ]
00002aaca4000000  65288K rw---    [ anon ]
00002aaca7fc2000    248K -----    [ anon ]
00002aaca8000000  64764K rw---    [ anon ]
00002aacac000000  65284K rw---    [ anon ]
00002aacaffc1000    252K -----    [ anon ]
00002aacb0000000 130556K rw---    [ anon ]
00002aacb8000000  65028K rw---    [ anon ]
00002aacbbf81000    508K -----    [ anon ]
00002aacbc000000  64764K rw---    [ anon ]
00002aacc0000000  65028K rw---    [ anon ]
00002aacc3f81000    508K -----    [ anon ]
00002aacc4000000  64764K rw---    [ anon ]
00002aacc8000000  65028K rw---    [ anon ]
00002aaccbf81000    508K -----    [ anon ]
00002aaccc000000  64764K rw---    [ anon ]
00002aacd0000000  65284K rw---    [ anon ]
00002aacd3fc1000    252K -----    [ anon ]
00002aacd4000000  65284K rw---    [ anon ]
00002aacd7fc1000    252K -----    [ anon ]
00002aacd8000000 130556K rw---    [ anon ]
00002aace0000000  65156K rw---    [ anon ]
00002aace3fa1000    380K -----    [ anon ]
00002aace4000000  65412K rw---    [ anon ]
00002aace7fe1000    124K -----    [ anon ]
00002aace8000000  64764K rw---    [ anon ]
00002aacec000000  65156K rw---    [ anon ]
00002aaceffa1000    380K -----    [ anon ]
00002aacf0000000  64764K rw---    [ anon ]
00002aacf4000000  65348K rw---    [ anon ]
00002aacf7fd1000    188K -----    [ anon ]
00002aacf8000000  65028K rw---    [ anon ]
00002aacfbf81000    508K -----    [ anon ]
00002aacfc000000 130556K rw---    [ anon ]
00002aad04000000  65028K rw---    [ anon ]
00002aad07f81000    508K -----    [ anon ]
00002aad08000000  65028K rw---    [ anon ]
00002aad0bf81000    508K -----    [ anon ]
00002aad0c000000  64764K rw---    [ anon ]
00002aad10000000  65028K rw---    [ anon ]
00002aad13f81000    508K -----    [ anon ]
00002aad14000000  64764K rw---    [ anon ]
00002aad18000000  65284K rw---    [ anon ]
00002aad1bfc1000    252K -----    [ anon ]
00002aad1c000000  65028K rw---    [ anon ]
00002aad1ff81000    508K -----    [ anon ]
00002aad20000000  64764K rw---    [ anon ]
00002aad24000000  65284K rw---    [ anon ]
00002aad27fc1000    252K -----    [ anon ]
00002aad28000000 130556K rw---    [ anon ]
00002aad30000000  65412K rw---    [ anon ]
00002aad33fe1000    124K -----    [ anon ]
00002aad34000000  65028K rw---    [ anon ]
00002aad37f81000    508K -----    [ anon ]
00002aad38000000  64764K rw---    [ anon ]
00002aad3c000000  65028K rw---    [ anon ]
00002aad3ff81000    508K -----    [ anon ]
00002aad40000000  64764K rw---    [ anon ]
00002aad44000000  65028K rw---    [ anon ]
00002aad47f81000    508K -----    [ anon ]
00002aad48000000  64764K rw---    [ anon ]
00002aad4c000000  65028K rw---    [ anon ]
00002aad4ff81000    508K -----    [ anon ]
00002aad50000000  64764K rw---    [ anon ]
00002aad54000000  65284K rw---    [ anon ]
00002aad57fc1000    252K -----    [ anon ]
00002aad58000000 130556K rw---    [ anon ]
00002aad60000000  65476K rw---    [ anon ]
00002aad63ff1000     60K -----    [ anon ]
00002aad64000000 196348K rw---    [ anon ]
00002aad70000000  65156K rw---    [ anon ]
00002aad73fa1000    380K -----    [ anon ]
00002aad74000000  65028K rw---    [ anon ]
00002aad77f81000    508K -----    [ anon ]
00002aad78000000 262140K rw---    [ anon ]
00002aad88000000  65284K rw---    [ anon ]
00002aad8bfc1000    252K -----    [ anon ]
00002aad8c000000  65220K rw---    [ anon ]
00002aad8ffb1000    316K -----    [ anon ]
00002aad90000000  64764K rw---    [ anon ]
00002aad94000000  65476K rw---    [ anon ]
00002aad97ff1000     60K -----    [ anon ]
00002aad98000000  64764K rw---    [ anon ]
00002aad9c000000  65028K rw---    [ anon ]
00002aad9ff81000    508K -----    [ anon ]
00002aada0000000  64764K rw---    [ anon ]
00002aada4000000  65028K rw---    [ anon ]
00002aada7f81000    508K -----    [ anon ]
00002aada8000000 196348K rw---    [ anon ]
00002aadb4000000  65028K rw---    [ anon ]
00002aadb7f81000    508K -----    [ anon ]
00002aadb8000000  65028K rw---    [ anon ]
00002aadbbf81000    508K -----    [ anon ]
00002aadbc000000  64764K rw---    [ anon ]
00002aadc0000000  65412K rw---    [ anon ]
00002aadc3fe1000    124K -----    [ anon ]
00002aadc4000000  64764K rw---    [ anon ]
00002aadc8000000  65412K rw---    [ anon ]
00002aadcbfe1000    124K -----    [ anon ]
00002aadcc000000  64764K rw---    [ anon ]
00002aadd0000000  65412K rw---    [ anon ]
00002aadd3fe1000    124K -----    [ anon ]
00002aadd4000000  64764K rw---    [ anon ]
00002aadd8000000  65028K rw---    [ anon ]
00002aaddbf81000    508K -----    [ anon ]
00002aaddc000000  64764K rw---    [ anon ]
00002aade0000000  65284K rw---    [ anon ]
00002aade3fc1000    252K -----    [ anon ]
00002aade4000000  64764K rw---    [ anon ]
00002aade8000000  65028K rw---    [ anon ]
00002aadebf81000    508K -----    [ anon ]
00002aadec000000 130556K rw---    [ anon ]
00002aadf4000000  65476K rw---    [ anon ]
00002aadf7ff1000     60K -----    [ anon ]
00002aadf8000000  65156K rw---    [ anon ]
00002aadfbfa1000    380K -----    [ anon ]
00002aadfc000000 130556K rw---    [ anon ]
00002aae04000000  65156K rw---    [ anon ]
00002aae07fa1000    380K -----    [ anon ]
00002aae08000000  64764K rw---    [ anon ]
00002aae0c000000  65412K rw---    [ anon ]
00002aae0ffe1000    124K -----    [ anon ]
00002aae10000000  64764K rw---    [ anon ]
00002aae14000000  65124K rw---    [ anon ]
00002aae17f99000    412K -----    [ anon ]
00002aae18000000 196348K rw---    [ anon ]
00002aae24000000  65028K rw---    [ anon ]
00002aae27f81000    508K -----    [ anon ]
00002aae28000000 130556K rw---    [ anon ]
00002aae30000000  65028K rw---    [ anon ]
00002aae33f81000    508K -----    [ anon ]
00002aae34000000 262140K rw---    [ anon ]
00002aae44000000  65028K rw---    [ anon ]
00002aae47f81000    508K -----    [ anon ]
00002aae48000000 589044K rw---    [ anon ]
00002aae6c000000  65416K rw---    [ anon ]
00002aae6ffe2000    120K -----    [ anon ]
00002aae70000000 387556K rw---    [ anon ]
00002aae88000000  65284K rw---    [ anon ]
00002aae8bfc1000    252K -----    [ anon ]
00002aae8c000000  65028K rw---    [ anon ]
00002aae8ff81000    508K -----    [ anon ]
00002aae90000000 589044K rw---    [ anon ]
00002aaeb4000000  65028K rw---    [ anon ]
00002aaeb7f81000    508K -----    [ anon ]
00002aaeb8000000 262140K rw---    [ anon ]
00002aaec8000000  65028K rw---    [ anon ]
00002aaecbf81000    508K -----    [ anon ]
00002aaecc000000 196348K rw---    [ anon ]
00002aaed8000000  65028K rw---    [ anon ]
00002aaedbf81000    508K -----    [ anon ]
00002aaedc000000 196348K rw---    [ anon ]
00002aaee8000000  65028K rw---    [ anon ]
00002aaeebf81000    508K -----    [ anon ]
00002aaeec000000 392696K rw---    [ anon ]
00002aaf04000000  65284K rw---    [ anon ]
00002aaf07fc1000    252K -----    [ anon ]
00002aaf08000000 196348K rw---    [ anon ]
00002aaf14000000  65028K rw---    [ anon ]
00002aaf17f81000    508K -----    [ anon ]
00002aaf18000000 196348K rw---    [ anon ]
00002aaf24000000  22532K rw---    [ anon ]
00002aaf25601000  43004K -----    [ anon ]
00002aaf28000000  64764K rw---    [ anon ]
00002aaf2c000000  65028K rw---    [ anon ]
00002aaf2ff81000    508K -----    [ anon ]
00002aaf30000000 296064K rw---    [ anon ]
00002aaf44000000   4100K rw---    [ anon ]
00002aaf44401000  61436K -----    [ anon ]
00002b62db876000      4K rw---    [ anon ]
00002b62db889000    164K rw---    [ anon ]
00007fffa0c3f000     84K rw---    [ stack ]
ffffffffff600000   8192K -----    [ anon ]
 total         19430128K
Comment 3 Matthew Farrellee 2010-01-18 08:03:23 EST
After restarting sesame, the following was repeatedly dumped to the console:

warning Exception received from broker: resource-limit-exceeded: resource-limit-exceeded: Policy exceeded on topic-nicaea.....12999.1 by message 8890693 of size 119 , policy: size: max=104857600, current=104857592; count: unlimited; type=flow_to_disk (qpid/broker/QueuePolicy.cpp:90) [caused by 12 \x00:\x00]
error Exception caught in sendBuffer: resource-limit-exceeded: resource-limit-exceeded: Policy exceeded on topic-nicaea.....12999.1 by message 8890693 of size 119 , policy: size: max=104857600, current=104857592; count: unlimited; type=flow_to_disk (qpid/broker/QueuePolicy.cpp:90)
error Exception caught in sendBuffer: resource-limit-exceeded: resource-limit-exceeded: Policy exceeded on topic-nicaea.....12999.1 by message 8890693 of size 119 , policy: size: max=104857600, current=104857592; count: unlimited; type=flow_to_disk (qpid/broker/QueuePolicy.cpp:90)
warning Connection to the broker has been lost
Comment 6 Nuno Santos 2010-06-08 11:44:33 EDT
Haven't been able to reproduce this in my local setup.

Matt, can you try it again with a recent build, and if it is still happening in your setup maybe I could have access to it to test?
Comment 7 Matthew Farrellee 2010-06-08 14:14:45 EDT
This was an observation from a sesame that had been running long enough to accumulate 11 hours of runtime, which is a long time given its low CPU usage. I'm not currently running and sesame processes. You should try setting up a long running sesame and connect it to a broker that gets restarted and maybe used by perftest from time to time.
Comment 8 Nuno Santos 2010-06-29 12:04:57 EDT
I've been running sesame (1.3 packages) on a RHEL5 box continuously for several days at a time, while running qpid-perftest (with varying args) against the local broker, and stopping/restarting the broker... I see a small increase in sesame's memory footprint initially but it stabilizes quickly and doesn't increase any further.

Setting this as MODI (and not closing as NOTABUG), as per Matt's suggestion, so that we can keep this under the radar in testing/QE and in case it shows up again.
Comment 10 Jan Sarenik 2010-09-21 05:06:13 EDT
On RHEL5, x86_64 I do not see any long-term problems. Running sesame
there uninterruptibly for days.

# ps v -C sesame
  PID TTY      STAT   TIME  MAJFL   TRS   DRS   RSS %MEM COMMAND
28083 ?        Sl     0:03      0    84 167303 6284  0.3 sesame

Packages for RHEL4 needed so that I can verify there.
Comment 11 Jan Sarenik 2010-09-23 10:24:47 EDT
Verified also on i386 and x86_64 RHEL4 with
sesame-0.7.4297-2.el4
Comment 12 Martin Prpič 2010-10-07 10:01:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Occasionally, running sesame for longer periods of time lead to a major growth in memory usage by sesame. With this update, this behavior no longer occurs.
Comment 14 errata-xmlrpc 2010-10-14 12:09:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.